## org.eclipse.datatools.connectivity.oda.util.logging
Class LogRecord

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.logging.LogRecord

All Implemented Interfaces:
  java.io.Serializable

    public class LogRecord

extends java.lang.Object
implements java.io.Serializable

`LogRecord` contains information that can be logged by a `Handler`.

See Also:
  Serialized Form

Constructor Summary
`LogRecord(Level level, java.lang.String message)` Creates a `LogRecord` instance with the specified log level and message.

Method Summary
`Level` `getLevel()` Gets the logging level.
`java.lang.String` `getMessage()` Gets the log message.
`long` `getMillis()` Gets the log time.
`java.lang.Throwable` `getThrown()` Gets the associated `Throwable`.
`void` `setLevel(Level level)` Sets the logging level to the specified value.
`void` `setMessage(java.lang.String message)` Sets the `LogRecord` message to the specified value.
`void` `setMillis(long millis)` Sets the `LogRecord` time to the specified value.
`void` `setThrown(java.lang.Throwable thrown)` Sets an associated `Throwable` to the `LogRecord`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogRecord

    public LogRecord(Level level,
                     java.lang.String message)

  Creates a `LogRecord` instance with the specified log level and message. The `LogRecord` will automatically be set with the current time.

  Parameters:
    `level` - the log level.
    `message` - the log message.

Method Detail

### getLevel

    public Level getLevel()

  Gets the logging level.

  Returns:
    the logging level.

### setLevel

    public void setLevel(Level level)

  Sets the logging level to the specified value.

  Parameters:
    `level` - the new logging level.

### setMessage

    public void setMessage(java.lang.String message)

  Sets the `LogRecord` message to the specified value.

  Parameters:
    `message` - the new log message.

### getMessage

    public java.lang.String getMessage()

  Gets the log message.

  Returns:
    the log message.

### setMillis

    public void setMillis(long millis)

  Sets the `LogRecord` time to the specified value.

  Parameters:
    `millis` - the new time.

### getMillis

    public long getMillis()

  Gets the log time.

  Returns:
    the log time.

### setThrown

    public void setThrown(java.lang.Throwable thrown)

  Sets an associated `Throwable` to the `LogRecord`.

  Parameters:
    `thrown` - the `Throwable`.

### getThrown

    public java.lang.Throwable getThrown()

  Gets the associated `Throwable`.

  Returns:
    the `Throwable`.